aboutsummaryrefslogtreecommitdiffstats
path: root/.local/bin/fslcd
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/fslcd')
-rwxr-xr-x.local/bin/fslcd10
1 files changed, 10 insertions, 0 deletions
diff --git a/.local/bin/fslcd b/.local/bin/fslcd
new file mode 100755
index 0000000..4045ff9
--- /dev/null
+++ b/.local/bin/fslcd
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+# script to quickly get to any fossil repo using fzf
+
+main() {
+ _fsl_checkout=$(fossil all ls -c | fzf +m) &&
+ cd "$_fsl_checkout" || return
+}
+
+main "$@"